| Home | Libraries | People | FAQ | More

#### http::vector_body

A Body using `std::vector`

##### Synopsis

Defined in header `<boost/beast/http/vector_body.hpp>`

    template<
        class T,
        class Allocator = std::allocator<T>>
    struct vector_body

##### Types

Name | Description
--- | ---
reader | The algorithm for parsing the body.
value_type | The type of container used for the body.
writer | The algorithm for serializing the body.

##### Member Functions

Name | Description
--- | ---
size | Returns the payload size of the body.

##### Description

This body uses `std::vector` as a memory-based container for holding message payloads. Messages using this body type may be serialized and parsed.

Convenience header `<boost/beast/http.hpp>`